package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 三监联动执法信息记录对象 b_main_three_supervision_enforc_record
 *
 * @author szhpt
 * @date 2023-03-29*/
@ApiModel(value = "三监联动执法信息记录")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_main_three_supervision_enforc_record")
public class BMainThreeSupervisionEnforcRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    /** id */
    @TableId(value = "record_id",type = IdType.AUTO)
    private String recordId;


    @ApiModelProperty(value = "父任务id")
    /** 父任务id */
    private String taskId;


    @ApiModelProperty(value = "办理部门")
    /** 办理部门 */
    @Excel(name = "办理部门")
    private String handleDeptId;


    @ApiModelProperty(value = "办理部门名称")
    /** 办理部门名称 */
    @Excel(name = "办理部门名称")
    private String handleDeptName;


    @ApiModelProperty(value = "实际办理人员")
    /** 实际办理人员 */
    @Excel(name = "实际办理人员")
    private String handlePerson;


    @ApiModelProperty(value = "办理时间")
    /** 办理时间 */
    @Excel(name = "办理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String handleTime;

    @ApiModelProperty(value = "是否现场执法;0 否 1 是")
    @Excel(name = "是否现场执法", readConverterExp = "0=否,1=是")
    private String isEnforcement;

    @ApiModelProperty(value = "结论(多个结论逗号分割)")
    /** 结论 */
    @Excel(name = "结论")
    private String conclusion;


    @ApiModelProperty(value = "具体结论")
    /** 具体结论 */
    @Excel(name = "具体结论")
    private String specificConclusion;


    @ApiModelProperty(value = "问题附件")
    /** 问题附件 */
    @Excel(name = "问题附件")
    private String questionAttachment;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("taskId", getTaskId())
            .append("handleDeptId", getHandleDeptId())
            .append("handleDeptName", getHandleDeptName())
            .append("handlePerson", getHandlePerson())
            .append("handleTime", getHandleTime())
            .append("conclusion", getConclusion())
            .append("specificConclusion", getSpecificConclusion())
            .append("questionAttachment", getQuestionAttachment())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
